Search documentation of ExStreamClient

# ExStreamClient.Model.ChannelInput (ExStreamClient v0.1.10)

View Source

Schema representing a ChannelInput

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.ChannelInput{
      auto_translation_enabled: boolean() | nil,
      auto_translation_language: String.t() | nil,
      config_overrides: ExStreamClient.Model.ChannelConfig.t() | nil,
      created_by: ExStreamClient.Model.UserRequest.t() | nil,
      created_by_id: String.t() | nil,
      custom: %{optional(String.t()) => any()} | nil,
      disabled: boolean() | nil,
      frozen: boolean() | nil,
      invites: [ExStreamClient.Model.ChannelMember.t()] | nil,
      members: [ExStreamClient.Model.ChannelMember.t()] | nil,
      team: String.t() | nil,
      truncated_by_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()